Ubuntu

Merge vim 2:7.3.429-2 (main) from Debian testing (main)

Reported by Simon Olofsson on 2012-02-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vim (Ubuntu)
Undecided
Unassigned

Bug Description

vim (2:7.3.429-2ubuntu1) precise; urgency=low

  * Merge with Debian testing/unstable (lp: #927642). Remaining changes:
    - debian/runtime/debian.vim.in:
      + Add Launchpad integration to the Help menu if launchpad-integration is
        installed.
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
  * debian/runtime/vimrc, debian/runtime/gvimrc:
    Set background=dark for vim and background=light for gvim (lp: #871907)
  * Drop Ubuntu changelog entries older than lucid (going back to warty) as
    they made over 95% of the whole Ubuntu delta.

 -- Michael Bienia <email address hidden> Sun, 26 Feb 2012 15:26:29 +0100

New Debian changelog entries:

vim (2:7.3.429-2) unstable; urgency=low

  * Ignore failures in test61 since it is highly sensitive to timing.
    Slow/heavily loaded systems will cause the test to fail.
  * Install bug scripts with correct permissions.
    + Use dh_bugfiles to simplify process
    + Bump debhelper B-D to >= 7.2.3~

 -- James McCoy <email address hidden> Fri, 10 Feb 2012 22:47:19 -0500

vim (2:7.3.429-1) unstable; urgency=low

  * Pull upstream tag v7-3-429
    + Updated sshconfig syntax file. (Closes: #594296)
    + 7.3.365: Fix crash when using a large Unicode character with syntax
      highlighting. (Closes: #657777)
  * Add new education and introspection sections to debcontrol syntax file.
    (Closes: #651381)
  * Update vim-common's mime information to handle only having vim-tiny
    installed. (Closes: #654674)
    + Add test -x /usr/bin/vim for the vim entries.
    + Add lower-priority vi entries.
  * Use new --enable-fail-if-missing flag to make configure fail if an
    interpreter is enabled but configure test fails.
  * Add bug script to show what binaries the vi/vim/gvim symlinks point to.
  * Only use /u/s/dpkg/default.mk when available.
    + Reduce versioned B-D on dpkg-dev
    + Manually set relevant makefile variables if file isn't present
  * Add alternate libncurses5-dev B-D to ease backporting.

 -- James McCoy <email address hidden> Sat, 04 Feb 2012 22:04:06 -0500

vim (2:7.3.363-1) unstable; urgency=low

  * Pull upstream tag v7-3-363
    + 7.3.358: Fix mouse handling since urxvt support. (Closes: #647055)
  * Set vim-lesstif's section to oldlibs, as suggested by
    transitional-package-should-be-oldlibs-extra.

 -- James McCoy <email address hidden> Wed, 30 Nov 2011 21:53:43 -0500

New upstream patches (ftp://ftp.vim.org/pub/vim/patches/7.3/README):

  1689 7.3.347 dropped text is HTML although "html" is not in 'clipboard'
  1634 7.3.348 "call range(1, 947948399)" causes a crash
  2793 7.3.349 opening swapfile loops forever when out of memory in startup
  1525 7.3.350 block of code after ":lua << EOF" may not work
  1453 7.3.351 text formatting uses insert start position when it should not
  3276 7.3.352 when completing functions script-local functions come first
  4245 7.3.353 (after 7.3.343) missing urxvt patch for term.c
  2182 7.3.354 ":set backspace+=eol" doesn't work when 'backspace' is 2
  1683 7.3.355 GTK warnings when using netrw.vim
  2453 7.3.356 using "o" with 'cindent' set may freeze Vim
  1511 7.3.357 compiler warning in MS-Windows console build
  1994 7.3.358 (after 7.3.353) mouse support doesn't work properly
  1727 7.3.359 command line completion shows dict functions
  2183 7.3.360 interrupting autoload function load may cause a crash
  1733 7.3.361 accessing memory after it is freed when EXITFREE is defined
  1828 7.3.362 ml_get error when using ":g" with folded lines
  2914 7.3.363 C indenting is wrong after #endif followed by a semicolon
  1924 7.3.364 (after 7.3.353) can't compile on HP-UX
  3451 7.3.365 crash when using a large Unicode character with syntax highl.
  2192 7.3.366 a tags file with an extremely long name causes errors
  1650 7.3.367 :wundo and :rundo use a wrong checksum
  4734 7.3.368 gcc complains about redefining _FORTIFY_SOURCE
  1452 7.3.369 get an error message when using --help and compiled with Gnome
  1766 7.3.370 compiler warns for unused variable in Lua interface
  2155 7.3.371 crash in autocomplete
  1603 7.3.372 command line mapping to <Up> doesn't work for file completion
  2464 7.3.373 (after 7.3.366) infinite loop in tags file with long name
  1670 7.3.374 ++encoding is not recognized
  1716 7.3.375 duplicate return statement
  1817 7.3.376 Win32: Toolbar repainting not always right
 12178 7.3.377 no support for bitwise AND, OR, XOR and invert
  2773 7.3.378 configure fails when cross-compiling
  2257 7.3.379 C-indenting wrong for static enum
  7825 7.3.380 C-indenting wrong for function header
  7960 7.3.381 configure can't be told to stop when a language is unavailable
  4585 7.3.382 (after 7.3.376) IME characters are inserted twice
  1489 7.3.383 for EBCDIC pound sign is defined as 't'
  1869 7.3.384 mapping CTRL-K breaks CTRL-X CTRL-K for dictionary completion
  2220 7.3.385 with expression mapping cursor may end up in the wrong place
  1577 7.3.386 test 83 fails when iconv does not support cp932
  1708 7.3.387 (after 7.3.386) test 83 may fail for some encodings
  1378 7.3.388 crash on exit when EXITFREE is defined and using tiny features
  2117 7.3.389 after typing at a prompt the "MORE" message appears too soon
  4295 7.3.390 using NULL buffer pointer in a window
  1520 7.3.391 can't check if the XPM_W32 feature is enabled
  3505 7.3.392 setting 'undofile' does not trigger reading the undo file
  4803 7.3.393 Win32: When resizing Vim it may be moved to another monitor
  1866 7.3.394 screen messed up when placing a mark while starting up
  3012 7.3.395 (after 7.3.251) "dv?bar" deletes too much and breaks undo
  1598 7.3.396 operator can become linewise after forcing it characterwise
  6186 7.3.397 ":helpgrep" does not work when 'encoding' is not utf-8
  1928 7.3.398 jumping to wrong location after creating 10 location lists
  4052 7.3.399 ":cd" doesn't work when the path contains wildcards
 44950 7.3.400 compiler warnings for shadowed variables
  5138 7.3.401 couple more compiler warning for shadowed variables
  2006 7.3.402 line of text redrawn while at the more prompt
  2976 7.3.403 ":helpgrep" does not trigger QuickFixCmd* autocommands
  2638 7.3.404 using refresh "always" in a complete function breaks redo
  3074 7.3.405 xterm may delete the urxvt mouse termcap code
  2830 7.3.406 Win32: multi-byte characters in b:browsefilter broken
  7268 7.3.407 ":12verbose call F()" duplicates text while trying to truncate
  1446 7.3.408 (after 7.3.406) missing declaration breaks compilation
  1565 7.3.409 the license in pty.c is unclear
  1396 7.3.410 compiler error for // comment
  1775 7.3.411 pasting in Visual mode using the "" register does not work
  1502 7.3.412 storing a float in a session file has an additional '&'
  2770 7.3.413 compiler warnings on MS-Windows
  2304 7.3.414 using CTRL-A on "000" drops the leading zero
  1727 7.3.415 (after 7.3.359) function completion stops after a dictionary
  1687 7.3.416 (after 7.3.415) compiler warning for pointer type
  1460 7.3.417 (after 7.3.395) test 43 fails with a tiny build
  1705 7.3.418 get an error message when a user complete function returns -1
  2376 7.3.419 DBCS encoding in a user command does not always work
  2202 7.3.420 "it" and "at" don't work properly with a dash in the tag name
  2161 7.3.421 get E832 when setting 'undofile' in vimrc
  3076 7.3.422 Python 3 does not have __members__
  4733 7.3.423 small mistakes in comments, proto and indent
  2210 7.3.424 Win16 version missing some functions
  2572 7.3.425 (after 7.3.265) search history lines are duplicated
  8345 7.3.426 with '$' in 'cpoptions' $ is not displayed in the first column
 10278 7.3.427 readfile() can be slow with long lines
  2881 7.3.428 Win32: an xpm file without a mask crashes Vim
  5441 7.3.429 with 'E' in 'cpoptions' redo wrong after "c0" in first column

Simon Olofsson (simono) on 2012-02-06
Changed in vim (Ubuntu):
status: New → In Progress
assignee: nobody → Simon Olofsson (simono)
Simon Olofsson (simono) wrote :

I don't have time to work on this before FeatureFreeze, so I'm closing it :(

Changed in vim (Ubuntu):
assignee: Simon Olofsson (simono) → nobody
status: In Progress → Invalid
Philip Muškovac (yofel) wrote :

Reopening if someone else has time.

Changed in vim (Ubuntu):
status: Invalid → New
Michael Bienia (geser) on 2012-02-15
Changed in vim (Ubuntu):
assignee: nobody → Michael Bienia (geser)
Michael Bienia (geser) on 2012-02-26
summary: - Please merge vim 2:7.3.363-1 (main) from Debian testing (main)
+ Merge vim 2:7.3.429-2 (main) from Debian testing (main)
Michael Bienia (geser) on 2012-02-26
description: updated
Michael Bienia (geser) wrote :
Changed in vim (Ubuntu):
assignee: Michael Bienia (geser) → nobody
Daniel Holbach (dholbach) wrote :

Good work, uploaded and sitting in the archive admin queue.

Changed in vim (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vim - 2:7.3.429-2ubuntu1

---------------
vim (2:7.3.429-2ubuntu1) precise; urgency=low

  * Merge with Debian testing/unstable (lp: #927642). Remaining changes:
    - debian/runtime/debian.vim.in:
      + Add Launchpad integration to the Help menu if launchpad-integration is
        installed.
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
  * debian/runtime/vimrc, debian/runtime/gvimrc:
    Set background=dark for vim and background=light for gvim (lp: #871907)

vim (2:7.3.429-2) unstable; urgency=low

  * Ignore failures in test61 since it is highly sensitive to timing.
    Slow/heavily loaded systems will cause the test to fail.
  * Install bug scripts with correct permissions.
    + Use dh_bugfiles to simplify process
    + Bump debhelper B-D to >= 7.2.3~

vim (2:7.3.429-1) unstable; urgency=low

  * Pull upstream tag v7-3-429
    + Updated sshconfig syntax file. (Closes: #594296)
    + 7.3.365: Fix crash when using a large Unicode character with syntax
      highlighting. (Closes: #657777)
  * Add new education and introspection sections to debcontrol syntax file.
    (Closes: #651381)
  * Update vim-common's mime information to handle only having vim-tiny
    installed. (Closes: #654674)
    + Add test -x /usr/bin/vim for the vim entries.
    + Add lower-priority vi entries.
  * Use new --enable-fail-if-missing flag to make configure fail if an
    interpreter is enabled but configure test fails.
  * Add bug script to show what binaries the vi/vim/gvim symlinks point to.
  * Only use /u/s/dpkg/default.mk when available.
    + Reduce versioned B-D on dpkg-dev
    + Manually set relevant makefile variables if file isn't present
  * Add alternate libncurses5-dev B-D to ease backporting.

vim (2:7.3.363-1) unstable; urgency=low

  * Pull upstream tag v7-3-363
    + 7.3.358: Fix mouse handling since urxvt support. (Closes: #647055)
  * Set vim-lesstif's section to oldlibs, as suggested by
    transitional-package-should-be-oldlibs-extra.
 -- Michael Bienia <email address hidden> Sun, 26 Feb 2012 15:26:29 +0100

Changed in vim (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers